Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.spi
Interface WSPasswordDigest

    public interface WSPasswordDigest

Method Summary
`byte[]` | `getDerivedKey(String username, byte[] salt, int iteration)` Returns the derived key.
`byte[]` | `getPasswordDigest(String username, byte[] nonce, String created)` This method returns a digest based on the nonce, created date string and the corresponding password for the specified user.

Method Detail

### getPasswordDigest

    byte[] getPasswordDigest(String username,
                             byte[] nonce,
                             String created)
                             throws DigestNotAvailableException

  This method returns a digest based on the nonce, created date string and the corresponding password for the specified user. If the provider can not calculate the digest for a user because the provider has no knowledge of the user and/or the password for this user, then the provider should throw the DigestNotAvailableException exception

  Parameters:
    `username` - String containing the user name
    `nonce` - Byte array to be used as a seed
    `created` - String used to create the digest
  Returns:
    byte[] the digest created based on the users's password, nonce and the created string.
  Throws:
    `DigestNotAvailableException` - if the password digest could not be created

### getDerivedKey

    byte[] getDerivedKey(String username,
                         byte[] salt,
                         int iteration)
                         throws DigestNotAvailableException

  Returns the derived key. The derived key is generated based on the user's password and the salt. The iteration count decides how many times the derived key value is successively encrypted to generate the final derived key value.

  Parameters:
    `username` - String containing the user name.
    `salt` - Byte array to be used as a seed
    `iteration` - int number of times the derived key value is successively encrypted to generate the final derived key value.
  Returns:
    byte[] the final derived key value based on the password and salt
  Throws:
    `DigestNotAvailableException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD